﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Page1 : ContentPage
    {

        private Random random;

        private readonly ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();

        private int count;

        private SfChart chart;
        
        public Page1()
        {
            Content = GetChart();
        }

        private SfChart GetChart()
        {
            random = new Random();

            LoadData();

            chart = new SfChart
            {
                PrimaryAxis = new DateTimeAxis() { AutoScrollingDelta = 25, AutoScrollingDeltaType = DateTimeDeltaType.Minutes },
                VerticalOptions = LayoutOptions.FillAndExpand
            };
            chart.PrimaryAxis.LabelStyle.LabelFormat = "HH:mm";

            var axis = new NumericalAxis
            {
                Minimum = 0,
                Maximum = 100,                
            };
            chart.SecondaryAxis = axis;

            var lineSeries = new ColumnSeries { ItemsSource = data };

            chart.Series.Add(lineSeries);

            chart.ChartBehaviors.Add(new ChartZoomPanBehavior { EnablePanning = true, EnableZooming = false, });

            return chart;
        }

        DateTime time = new DateTime(2015, 05, 01, 09,00,00);

        private void LoadData()
        {
            for (var i = 0; i < 500; i++)
            {
                data.Add(new ChartDataPoint(time, random.Next(0, 100)));
                time = time.AddMinutes(5);
                count++;
            }
            count = data.Count;
        }      
    }
}